Skip to main content
`Ctrl`+`K`

# SVDProblemType

Determines the type of the singular value problem.

## Synopsis

    typedef enum { SVD_STANDARD    = 1,
                   SVD_GENERALIZED = 2,
                   SVD_HYPERBOLIC  = 3
                 } SVDProblemType;

## Values

- `SVD_STANDARD` - standard SVD (SVD)

- `SVD_GENERALIZED` - generalized SVD (GSVD)

- `SVD_HYPERBOLIC` - hyperbolic SVD (HSVD)

## See Also

SVD: Singular Value Decomposition, `SVDSetProblemType()`, `SVDGetProblemType()`

## Level

beginner

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages